Promote SQL chart
Promote SQL chart to upstream project
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes | the uuid for the project |
uuid | string | Yes | the uuid for the saved sql chart |
Responses
200 — Success
{
"results": {
"resolvedColorPalette": {
"source": {
"type": "config"
},
"paletteName": "string",
"paletteUuid": "string",
"darkColors": [
"string"
],
"colors": [
"string"
]
},
"lastViewedAt": "2024-01-01T00:00:00.000Z",
"firstViewedAt": "2024-01-01T00:00:00.000Z",
"views": 0,
"organization": {
"organizationUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"project": {
"projectUuid": "string"
},
"dashboard": {
"name": "string",
"uuid": "string"
},
"space": {
"name": "string",
"uuid": "string",
"userAccess": {
"grantedVia": "app",
"inheritedFrom": "organization",
"inheritedRole": "member",
"projectRole": "viewer",
"hasDirectAccess": true,
"role": "viewer",
"userUuid": "string"
}
},
"lastUpdatedBy": {},
"lastUpdatedAt": "2024-01-01T00:00:00.000Z",
"createdBy": {},
"createdAt": "2024-01-01T00:00:00.000Z",
"chartKind": "line",
"config": {
"type": "vertical_bar",
"metadata": {
"version": 0
},
"display": {
"stack": true,
"legend": {
"align": "start",
"position": "top"
},
"series": {
"property": {
"whichYAxis": 0,
"valueLabelPosition": "hidden",
"type": "line",
"color": "string",
"yAxisIndex": 0,
"format": "km",
"label": "string"
}
},
"yAxis": [
{
"format": "km",
"position": "string",
"label": "string"
}
],
"xAxis": {
"dateFormat": "string",
"type": "time",
"label": "string"
}
},
"fieldConfig": {
"stack": true,
"sortBy": [
{
"pivotValues": [
{
"value": "string",
"reference": "string"
}
],
"nullsFirst": true,
"direction": "ASC",
"reference": "string"
}
],
"groupBy": [
{
"reference": "string"
}
],
"y": [
{
"aggregation": "sum",
"reference": "string"
}
],
"x": {
"type": "time",
"reference": "string"
}
}
},
"limit": 0,
"sql": "string",
"slug": "string",
"description": "string",
"name": "string",
"savedSqlUuid": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}